      subroutine addchar(namel,string)
      character(*) namel,string
      lt=len_trim(namel)
      l=len(namel)
      ls=len_trim(string)
      if(lt+ls>l) then
         print*,'addchar : la ligne devient trop longue'
         print*,'longueur            de namel :',lt
         print*,'longueur disponible de namel :',l
         print*,'longueur du string rajoute :  ',ls
         print*,'lt+ls>l'
         stop
      endif
      namel(lt+1:lt+ls)=trim(string)
      return
      end


